---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: postgres-credentials
  namespace: authentik
spec:
  destination:
    create: true
    name: postgres-credentials
    overwrite: true
  hmacSecretData: true
  mount: kv
  path: kubernetes/namespace/authentik/default/postgres-credentials
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: authentik-credentials
  namespace: authentik
spec:
  destination:
    create: true
    name: authentik-credentials
    overwrite: true
  hmacSecretData: true
  mount: kv
  path: kubernetes/namespace/authentik/default/authentik-credentials
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: s3-credentials
  namespace: authentik
spec:
  destination:
    create: true
    name: s3-credentials
    overwrite: true
  hmacSecretData: true
  mount: kv
  path: kubernetes/namespace/authentik/default/s3-credentials
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
